Summary: PEAR Date and Time Zone Classes for PHP
%define name pear-date
%define version 1.4.3
%define release 4
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: PHP License
Group: Applications/Web
Source0: Date-%{version}.tgz
Url: http://pear.php.net/package/Date
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-%(id -u -n)-buildroot
BuildArchitectures: noarch
Requires: php

%description
Generic classes for representation and manipulation of
dates, times and time zones without the need of timestamps,
which is a huge limitation for php programs. Includes time zone data,
time zone conversions and many date/time conversions.
It does not rely on 32-bit system date stamps, so
you can display calendars and compare dates that date
pre 1970 and post 2038. This package also provides a class
to convert date strings between Gregorian and Human calendar formats.


%prep
%setup -q -n Date-%{version}

%build

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/pear-addons/Date
cp -rp Date* $RPM_BUILD_ROOT/usr/share/pear-addons/
cp -rp TODO tests $RPM_BUILD_ROOT/usr/share/pear-addons/Date
mkdir -p $RPM_BUILD_ROOT/usr/share/pear-addons/test/Date
cp -rp tests $RPM_BUILD_ROOT/usr/share/pear-addons/test/Date

%files
%defattr(-,root,root)
%dir /usr/share/pear-addons/
/usr/share/pear-addons/*

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon May 09 2005 Charlie Brady <charlieb@e-smith.com> 1.4.3-03es
- Move class files into the right place.

* Wed May 04 2005 Charlie Brady <charlieb@e-smith.com> 1.4.3-02es
- Fix URL header.

* Thu Apr 21 2005 Charlie Brady <charlieb@e-smith.com> 1.4.3-01es
- Initial
